phpcs(1)

NAME
phpcs - PHP code sniffer CLI tool

SYNOPSIS
phpcs [-nwlsaepqvi] [-d key[ =value ]] [--colors] [--no-colors] [--cache= cacheFile] [--no-cache] [--tab-width= tabWidth] [--report= report] [--report-file= reportFile] [--report- report= reportFile] [--report-width= reportWidth] [--basepath= basepath] [--bootstrap= bootstrap] [--severity= severity] [--error-severity= severity] [--warning-severity= severity] [--runtime-set key value] [--config-set key value] [--config-delete key] [--config-show] [--standard= standard] [--sniffs= sniffs] [--exclude= sniffs] [--encoding= encoding] [--parallel= processes] [--generator= generator] [--extensions= extensions [--ignore= patterns] [--ignore-annotations] [--stdin-path= stdinPath] [--file-list= fileList] file ...

DESCRIPTION

phpcs (or PHP_CodeSniffer) is a PHP5 script that tokenises PHP, JavaScript and CSS files to detect violations of a defined coding standard. It is an essential development tool that ensures your code remains clean and consistent. It can also help prevent some common semantic errors made by developers.

PARAMETERS

cacheFile

    Use a specific file for caching (uses a temporary file by default)

basepath

    A path to strip from the front of file paths inside reports

bootstrap

    A comma separated list of files to run before processing starts

file

    One or more files and/or directories to check

fileList

    A file containing a list of files and/or directories to check (one per line)

encoding

    The encoding of the files being checked (default is iso-8859-1)

extensions

    A comma separated list of file extensions to check. The type of the file can be specified using: ext/type e.g., module/php,es/js

generator

    Uses either the "HTML", "Markdown" or "Text" generator (forces documentation generation instead of checking)

patterns

    A comma separated list of patterns to ignore files and directories

processes

    How many files should be checked simultaneously (default is 1)

report

    Print either the full, xml, checkstyle, csv, json, junit, emacs, source, summary, diff, svnblame, gitblame, hgblame, or notifysend report (the full report is printed by default)

reportFile

    Write the report to the specified file path

reportWidth

    How many columns wide screen reports should be printed or set to "auto" to use current screen width, where supported

severity

    The minimum severity required to display an error or warning

sniffs

    A comma separated list of sniff codes to include or exclude during checking (all sniffs must be part of the specified standard)

standard

    The name or path of the coding standard to use

stdinPath

    If processing STDIN, the file path that STDIN will be processed as

tabWidth

    The number of spaces each tab represents

OPTION

-n

    Do not print warnings (shortcut for --warning-severity=0)

-w

    Print both warnings and errors (this is the default)

-l

    Local directory only, no recursion

-s

    Show sniff codes in all reports

-a

    Run interactively

-e

    Explain a standard by showing the sniffs it includes

-p

    Show progress of the run

-q

    Quiet mode; disables progress and verbose output

-n

    Stop error messages from being recorded (saves a lot of memory, but stops many reports from being used)

-v

    Print processed files

-vv

    Print ruleset and token output

-vvv

    Print sniff processing information

-i

    Show a list of installed coding standards

-d

    Set the key php.ini value to value or true if value is omitted

--help

    Print the help message

--version

    Print version information

--colors

    Use colors in output

--no-colors

    Do not use colors in output (this is the default)

--cache

    Cache results between runs

--no-cache

    Do not cache results between runs (this is the default)

--ignore-annotations

    Ignore all phpcs: annotations in code comments

SEE ALSO
phpcbf(1)